Bug 107544 - CD-RW must be unmounted before the burn attempt is made
CD-RW must be unmounted before the burn attempt is made
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nautilus-cd-burner (Show other bugs)
rawhide
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-20 09:14 EDT by Matej Holly
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-08 12:38:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matej Holly 2003-10-20 09:14:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.4) Gecko/20030614

Description of problem:
It's not easy and intuitive to reburn a data CD on CD-RW medium. An intuitive
way is simply to insert the CD, put new content into burn:// and after pressing
"burn" button choose to "Clear CD".

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a test data CD-RW disc. Ensure that it is CD-RW and that is a data
disc (ISO).
2. Insert the medium into the burning device (It will be automounted as data CD
now).
3. Nop (skip this step to reproduce the bug, see additional info)
4. Open the burner, add files and choose "burn CD"
5. In the dialog that appears choose "Clear CD" and so on. Press OK button

Actual Results:  Error message appears saying that the device "/dev/<device>"
couldn't be opened in exclusive access mode.

Expected Results:  The CD should be unmounted and burned.

Additional info:

If you replace the step 3 with "open a root shell and enter "umount /dev/cdrom"
command", everything goes fine.
Comment 1 Alexandre Strube 2004-04-01 07:48:25 EST
This is so obvious that I cannot believe this bug survived until now.

A simple 
umount /mnt/cdrom
cdrdao blank

Does the trick in command line.
Comment 2 Alexander Larsson 2004-10-08 12:38:19 EDT
nautilus-cd-burner 2.8.3-4 should fix this.
Comment 3 Alexander Larsson 2004-10-13 03:11:56 EDT
-5 has a "better" fix. -4 sometimes showed the dialog even though the
unmount succeeded.

Note You need to log in before you can comment on or make changes to this bug.